{{- if .Values.rbac.create }}
apiVersion: rbac.authorization.k8s.io/v1
kind: RoleBinding
metadata:
  name: {{ template "service-a.fullname" . }}
  namespace: {{ .Release.Namespace }}
  labels:
    app: {{ template "service-a.name" . }}
    chart: {{ template "service-a.chart" . }}
    heritage: {{ .Release.Service }}
    release: {{ .Release.Name }}
roleRef:
  apiGroup: rbac.authorization.k8s.io
  kind: Role
  name: {{ template "service-a.fullname" . }}
subjects:
- kind: ServiceAccount
  name: {{ template "service-a.serviceAccountName" . }}
{{- end }}

